Bug 489993 - TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 15:32 EDT by John Reiser
Modified: 2013-01-10 00:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 15:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2009-03-12 15:32:06 EDT
Description of problem: internal errors in pkgorder and pungi:
TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
Exception AttributeError: "'PackageOrderer' object has no attribute 'preconf'" in <bound method PackageOrderer.__del__ of <__main__.PackageOrderer object at 0x9895d6c>> ignored

Version-Release number of selected component (if applicable):
pungi-2.0.11-1.fc11.noarch


How reproducible: always


Steps to Reproduce:
1.rm -f $(find /ext4/Fedora11 -name RPM-GPG-KEY-fedora'*')
2. rm -rf /ext4/Fedora11/11/i386/os-disc1
3. pungi -c /usr/share/pungi/rawhide-fedora.ks --destdir=/ext4/Fedora11 --name Fedora --ver 11 --nosource --force
  
Actual results:
   [snip]
Pungi:INFO: Running /usr/bin/pkgorder /ext4/Fedora11/11/i386/os i386 Packages
Pungi:ERROR: Got an error from /usr/bin/pkgorder
Pungi:ERROR: Traceback (most recent call last):
  File "/usr/bin/pkgorder", line 183, in <module>
    ds.setup(fn=config, excludes=options.excludeList, root = testpath)
  File "/usr/bin/pkgorder", line 60, in setup
    self.doConfigSetup(fn, root, init_plugins = False)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 170, in doConfigSetup
    return self.conf
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 646, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 233, in _getConfig
    startupconf.syslog_facility, syslog_device)
TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
Exception AttributeError: "'PackageOrderer' object has no attribute 'preconf'" in <bound method PackageOrderer.__del__ of <__main__.PackageOrderer object at 0x9895d6c>> ignored

Traceback (most recent call last):
  File "/usr/bin/pungi", line 195, in <module>
    main()
  File "/usr/bin/pungi", line 106, in main
    mypungi.doCreateIsos(split=opts.nosplitmedia)
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 1082, in doCreateIsos
    self.doPackageorder()
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 760, in doPackageorder
    pypungi.util._doRunCommand(pkgorder, self.logger, output=pkgorderfile)
  File "/usr/lib/python2.6/site-packages/pypungi/util.py", line 36, in _doRunCommand
    raise OSError, "Got an error from %s: %s" % (command[0], err)
OSError: Got an error from /usr/bin/pkgorder: Traceback (most recent call last):
  File "/usr/bin/pkgorder", line 183, in <module>
    ds.setup(fn=config, excludes=options.excludeList, root = testpath)
  File "/usr/bin/pkgorder", line 60, in setup
    self.doConfigSetup(fn, root, init_plugins = False)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 170, in doConfigSetup
    return self.conf
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 646, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 233, in _getConfig
    startupconf.syslog_facility, syslog_device)
TypeError: doLoggingSetup() takes at most 5 arguments (6 given)
Exception AttributeError: "'PackageOrderer' object has no attribute 'preconf'" in <bound method PackageOrderer.__del__ of <__main__.PackageOrderer object at 0x9895d6c>> ignored



Expected results: no internal errors in code which handles errors from programs such as pkgorder


Additional info:
Comment 1 Jesse Keating 2009-03-12 15:55:40 EDT
This is fixed in the latest rawhide build of pungi.  Please update.
Comment 2 Ted X Toth 2009-06-29 12:20:46 EDT
I'm seeing this same problem on F10. Can the fix be back ported?

Note You need to log in before you can comment on or make changes to this bug.